Package org.linphone.mediastream.video

# Interface AndroidVideoWindowImpl.VideoWindowListener

Enclosing class:
  AndroidVideoWindowImpl

public static interface AndroidVideoWindowImpl.VideoWindowListener
Utility listener interface providing callback for Android events useful to Mediastreamer.

## Method Summary

Modifier and Type
Method
Description
`void`
`onVideoPreviewSurfaceDestroyed(AndroidVideoWindowImpl vw)`
`void`
`onVideoPreviewSurfaceReady(AndroidVideoWindowImpl vw, android.view.SurfaceView surface)`
`void`
`onVideoRenderingSurfaceDestroyed(AndroidVideoWindowImpl vw)`
`void`
`onVideoRenderingSurfaceReady(AndroidVideoWindowImpl vw, android.view.SurfaceView surface)`

## Method Details

### onVideoRenderingSurfaceReady

void onVideoRenderingSurfaceReady(AndroidVideoWindowImpl vw, android.view.SurfaceView surface)

### onVideoRenderingSurfaceDestroyed

void onVideoRenderingSurfaceDestroyed(AndroidVideoWindowImpl vw)

### onVideoPreviewSurfaceReady

void onVideoPreviewSurfaceReady(AndroidVideoWindowImpl vw, android.view.SurfaceView surface)

### onVideoPreviewSurfaceDestroyed

void onVideoPreviewSurfaceDestroyed(AndroidVideoWindowImpl vw)